Bug 733034 - List GPG Keys command in the user guide is wrong
Summary: List GPG Keys command in the user guide is wrong
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Jay Dobies
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 14:31 UTC by Preethi Thomas
Modified: 2012-02-24 20:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:53 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-24 14:31:51 UTC
Description of problem:
As per the user guide the command is

List GPG Keys ΒΆ

The list of GPG keys associated with the repository can be obtained using the repo listkeys command. Again, the --id flag is required to indicate the repository being queried.

$ pulp-admin repo listkeys --id pulp-f14-64
+------------------------------------------+
   GPG keys associated with pulp-f14-64
+------------------------------------------+

RPM-GPG-KEY-fedora


But --help is
[root@preethi ~]# pulp-admin repo listkeys --id=f15
Usage: pulp-admin <options> repo <action> <options>
Supported Actions:
	list_keys      list gpg keys

Comment 1 Jay Dobies 2011-08-26 13:48:04 UTC
Fixed on wiki: https://fedorahosted.org/pulp/wiki/UGRepo

Will be in the published docs after the next community release.

Comment 2 Jeff Ortel 2011-08-26 20:09:34 UTC
build: 0.228

Comment 3 Preethi Thomas 2011-09-07 14:53:20 UTC
verified on the wiki

Comment 4 Preethi Thomas 2012-02-24 20:13:53 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.